#!/usr/bin/env python
# -*- coding: utf-8 -*-

#***************************************************************************
#*   Copyright (C) 2008-2008 by Oliver Borm                                *
#*   oli.borm@web.de                                                       *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 3 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program; if not, write to the                         *
#*   Free Software Foundation, Inc.,                                       *
#*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
#***************************************************************************

## @package BladeDesigner3D
# @author Oliver Borm
# @date 2008
#  Hier kommen irgendwann mehr Details

# Python Imports
#import os, sys, getopt, string
#from math import *
#from numpy import *

import sys, os
#Zufallsgenerator zur Farbgenerierung
import random
#Importpfad für übergeordnete Verzeichnisse setzen
import commands

#Prüfen ob der Aufruf von einem Link ausgeht
if os.path.islink(sys.argv[0]) and  (sys.platform == 'linux2'  or sys.platform == 'solaris'):
	#Offenbar wurde BladeDesigner per Link aufgerufen
	#Den Linknamen aus dem Startparametern holen
	strAufruf = os.path.dirname(os.path.realpath(sys.argv[0]))
	#Gui-Verzeichnis anhängen
	sys.path.append(strAufruf + "/GUI")
else:
	#Direkter Pfad wahrscheinlich verwendet
	#Befehlaufruf trennen
	strOrdner = os.path.abspath(os.path.dirname(sys.argv[0]))
	#Kein relativer Pfad dabei?
	if (strOrdner == ""):
		#Einen drauß machen
		strOrdner = os.path.abspath(os.curdir)
	#GUI-Pfad anhängen
	sys.path.append(strOrdner + "/GUI")

from PyQt4.QtGui import QApplication
from QBladeDesigner import QBladeDesigner

#Qt-Application erstellen
pApp = QApplication([])
#Hauptfenster erstellen
pBladeDesigner = QBladeDesigner(pApp)
#Anzeigen
pBladeDesigner.show()
#Ausführen
sys.exit(pApp.exec_())
